package com.fs.course.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员营期对象 fs_user_course_period
 *
 * @author fs
 * @date 2025-04-11
 */
public class FsUserCoursePeriod extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 营期id */
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 开课时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开课时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startingTime;

    public void setPeriodId(Long periodId)
    {
        this.periodId = periodId;
    }

    public Long getPeriodId()
    {
        return periodId;
    }
    public void setPeriodName(String periodName)
    {
        this.periodName = periodName;
    }

    public String getPeriodName()
    {
        return periodName;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCourseId(Long courseId)
    {
        this.courseId = courseId;
    }

    public Long getCourseId()
    {
        return courseId;
    }
    public void setVideoId(Long videoId)
    {
        this.videoId = videoId;
    }

    public Long getVideoId()
    {
        return videoId;
    }
    public void setStartingTime(Date startingTime)
    {
        this.startingTime = startingTime;
    }

    public Date getStartingTime()
    {
        return startingTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("periodId", getPeriodId())
            .append("periodName", getPeriodName())
            .append("companyId", getCompanyId())
            .append("courseId", getCourseId())
            .append("videoId", getVideoId())
            .append("startingTime", getStartingTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
