package com.fs.course.mapper;

import java.util.List;
import com.fs.course.domain.FsUserCoursePeriod;

/**
 * 会员营期Mapper接口
 * 
 * @author fs
 * @date 2025-04-11
 */
public interface FsUserCoursePeriodMapper 
{
    /**
     * 查询会员营期
     * 
     * @param periodId 会员营期ID
     * @return 会员营期
     */
    public FsUserCoursePeriod selectFsUserCoursePeriodById(Long periodId);

    /**
     * 查询会员营期列表
     * 
     * @param fsUserCoursePeriod 会员营期
     * @return 会员营期集合
     */
    public List<FsUserCoursePeriod> selectFsUserCoursePeriodList(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 新增会员营期
     * 
     * @param fsUserCoursePeriod 会员营期
     * @return 结果
     */
    public int insertFsUserCoursePeriod(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 修改会员营期
     * 
     * @param fsUserCoursePeriod 会员营期
     * @return 结果
     */
    public int updateFsUserCoursePeriod(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 删除会员营期
     * 
     * @param periodId 会员营期ID
     * @return 结果
     */
    public int deleteFsUserCoursePeriodById(Long periodId);

    /**
     * 批量删除会员营期
     * 
     * @param periodIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsUserCoursePeriodByIds(Long[] periodIds);
}
